Skip to content

Commit

Permalink
test-module: check availability of special attrs
Browse files Browse the repository at this point in the history
  • Loading branch information
pilou- authored and mscherer committed Oct 18, 2018
1 parent 5d2927c commit 7231f7d
Show file tree
Hide file tree
Showing 2 changed files with 26 additions and 0 deletions.
21 changes: 21 additions & 0 deletions test/integration/targets/test_infra/library/test.py
Original file line number Diff line number Diff line change
@@ -0,0 +1,21 @@
#!/usr/bin/python
# -*- coding: utf-8 -*-

from ansible.module_utils.basic import AnsibleModule


def main():
module = AnsibleModule(
argument_spec=dict(),
)
result = {
'selinux_special_fs': module._selinux_special_fs,
'tmpdir': module._tmpdir,
'keep_remote_files': module._keep_remote_files,
'version': module.ansible_version,
}
module.exit_json(**result)


if __name__ == '__main__':
main()
5 changes: 5 additions & 0 deletions test/integration/targets/test_infra/runme.sh
Original file line number Diff line number Diff line change
Expand Up @@ -22,9 +22,14 @@ echo "ensure playbook output shows assert/fail works (True)"
echo "$PB_OUT" | grep -F "fail works (True)" || exit 1
echo "$PB_OUT" | grep -F "assert works (True)" || exit 1

set -e

# ensure test-module script works well
PING_MODULE_PATH="$(pwd)/../../../../lib/ansible/modules/system/ping.py"
../../../../hacking/test-module -m "$PING_MODULE_PATH" -I ansible_python_interpreter="$(which python)"

# ensure module.ansible_version is defined when using test-module
../../../../hacking/test-module -m library/test.py -I ansible_python_interpreter="$(which python)" <<< '{"ANSIBLE_MODULE_ARGS": {}}'

# ensure exercising module code locally works
python -m ansible.modules.files.file <<< '{"ANSIBLE_MODULE_ARGS": {"path": "/path/to/file", "state": "absent"}}'

0 comments on commit 7231f7d

Please sign in to comment.